﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Infragistics.Controls.Grids;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Windows.Data;


namespace SilverlightApplication1
{
    public partial class MainPage : UserControl
    {
        ViewModel vm;
        public MainPage()
        {
            InitializeComponent();
            vm = new ViewModel();
            this.DataContext = vm;
           
                 
        }

        private void myGrid_CellExitingEditMode(object sender, ExitEditingCellEventArgs e)
        {
            string error = "";
            if (e.Cell.Column.Key == "[No1]")
            {
                int i=0;
                try
                {

                    i = int.Parse(e.NewValue.ToString());
                }
                catch (Exception ex)
                {
                   error = "Value is not an integer";


                }
                if (i < 3 || i > 10)
                {

                    error = "Value must be between 3 and 10";
                   
                  
                }
            }
            FrameworkElement fe = e.Editor;
            if (error != String.Empty)
            {
                
                if (fe is TextBox)
                {                       
                    TextBox tb = fe as TextBox;
                    tb.Tag = error;
                    VisualStateManager.GoToState(tb,"InvalidFocused", false);
                    e.Cancel = true;
                    return;
                }
            }
            fe.Tag = null;
            if (fe is TextBox)
            {
                TextBox tb = fe as TextBox;
                VisualStateManager.GoToState(tb, "Valid", false);
            }

        }
        

      

     
        

       

        
        
     
    }
}
