﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel;
using System.Collections.ObjectModel;
using System.Collections.Generic;
using System.Collections;

namespace SilverlightApplication1
{
    public class ViewModel : INotifyPropertyChanged 
    {
        public ObservableCollection<Dictionary<string,object>> DataSource {get;set;}
 

        public ViewModel()
        {
            DataSource = new ObservableCollection<Dictionary<string, object>>();
           

            for (int i = 0; i < 10; i++)
            {
                Dictionary<string, object> dict = new Dictionary<string, object>();
                dict["ID"] = i;
                dict["Name"] = "Name" + i.ToString();
                dict["No1"] = 1;
            
                DataSource.Add(dict);
            }

            for (int i = 0; i < 10; i++)
            {
                Dictionary<string, object> dict = new Dictionary<string, object>();
                dict["ID"] = i;
                dict["Name"] = "Name" + i.ToString();
                dict["No1"] = 0;
            
                DataSource.Add(dict);
            }
            
        }



        public event PropertyChangedEventHandler PropertyChanged;
        protected virtual void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }

      
    }
    
}
